[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowResizerComponent

# Class: WindowResizerComponent

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:40](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L40)

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new WindowResizerComponent()

> **new WindowResizerComponent**(`context`): [`WindowResizerComponent`](WindowResizerComponent.md)

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:57](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L57)

#### Parameters

##### context

`any`

#### Returns

[`WindowResizerComponent`](WindowResizerComponent.md)

## Properties

### containerRef

> **containerRef**: `ElementRef`\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:42](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L42)

***

### height$

> **height$**: `EventEmitter`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:51](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L51)

***

### resizerRef

> **resizerRef**: `ElementRef`\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:46](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L46)

***

### resizing$

> **resizing$**: `EventEmitter`\<`boolean`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:53](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L53)

***

### width$

> **width$**: `EventEmitter`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:49](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L49)

***

### windowRef

> **windowRef**: [`WindowRef`](WindowRef.md)\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:44](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L44)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:63](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L63)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts:67](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-resizer/window-resizer.component.ts#L67)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`
